Package org.eclipse.birt.report.model.api.simpleapi

# Interface ITable

All Superinterfaces:
  `IDesignElement`, `IListing`, `IMultiRowItem`, `IReportElement`, `IReportItem`

public interface ITable extends IListing
Represents the design of a Table in the scripting environment

## Field Summary

### Fields inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportItem

`constants`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCaption()`
Returns the caption text of this table.
`String`
`getCaptionKey()`
Returns the resource key of the caption.
`IColumn`
`getColumn(int index)`
Gets column.
`int`
`getColumnCount()`
Returns the number of columns in the table.
`String`
`getSummary()`
Gets the summary of this table.
`boolean`
`repeatHeader()`
Tests whether to repeat the headings at the top of each page.
`void`
`setCaption(String caption)`
Sets the caption text of this table.
`void`
`setCaptionKey(String captionKey)`
Sets the resource key of the caption.
`void`
`setRepeatHeader(boolean value)`
Sets whether to repeat the headings at the top of each page.
`void`
`setSummary(String summary)`
Sets the summary of this table.

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IDesignElement

`getNamedExpression, getParent, getQualifiedName, getReport, getStyle, getUserProperty, getUserPropertyExpression, setNamedExpression, setUserProperty, setUserProperty`

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IMultiRowItem

`addFilterCondition, addSortCondition, getFilterConditions, getSortConditions, removeFilterCondition, removeFilterConditions, removeSortCondition, removeSortConditions`

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportElement

`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getName, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setName`

### Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IReportItem

`addDataBinding, addHideRule, addHighlightRule, getBookmark, getDataBinding, getDataBindings, getHeight, getHideRules, getHighlightRules, getTocExpression, getWidth, getX, getY, removeDataBinding, removeDataBindings, removeHideRule, removeHideRules, removeHighlightRule, removeHighlightRules, setBookmark, setCurrentView, setHeight, setHeight, setTocExpression, setWidth, setWidth, setX, setX, setY, setY`

## Method Details

### getColumnCount

int getColumnCount()
Returns the number of columns in the table. The number is defined as 1) the sum of columns described in the "column" slot, or 2) the widest row defined in the detail, header or footer slots if column slot is empty.

Returns:
  the number of columns in the table

### repeatHeader

boolean repeatHeader()
Tests whether to repeat the headings at the top of each page.

Returns:
  `true` if repeat the headings, otherwise `false`.

### setRepeatHeader

void setRepeatHeader(boolean value) throws SemanticException
Sets whether to repeat the headings at the top of each page.

Parameters:
  `value` - `true` if repeat the headings, otherwise `false`.
Throws:
  `SemanticException` - if the property is locked.

### getSummary

String getSummary()
Gets the summary of this table.

Returns:
  the summary.

### setSummary

void setSummary(String summary) throws SemanticException
Sets the summary of this table.

Parameters:
  `summary` - the summary
Throws:
  `SemanticException` - if this property is locked.

### getCaption

String getCaption()
Returns the caption text of this table.

Returns:
  the caption text

### setCaption

void setCaption(String caption) throws SemanticException
Sets the caption text of this table.

Parameters:
  `caption` - the caption text
Throws:
  `SemanticException` - if the property is locked.

### getCaptionKey

String getCaptionKey()
Returns the resource key of the caption.

Returns:
  the resource key of the caption

### setCaptionKey

void setCaptionKey(String captionKey) throws SemanticException
Sets the resource key of the caption.

Parameters:
  `captionKey` - the resource key of the caption
Throws:
  `SemanticException` - if the caption resource-key property is locked.

### getColumn

IColumn getColumn(int index)
Gets column.

Parameters:
  `index` -
Returns:
  column wrapper